Bug 1265464 - After recent package updates - W540 and W520 freeze with black screen after resume from suspend
After recent package updates - W540 and W520 freeze with black screen after r...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 21:48 EDT by Corey Ashford
Modified: 2016-07-19 13:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:59:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Ashford 2015-09-22 21:48:19 EDT
Description of problem:

I use Gnome 3 on two laptops - a W520 and and W540 - both connected via docks to external monitors.  After suspend the laptop, and then coming back later, the laptop will not resume. Or if it is resuming, I cannot see anything on the screen, because all monitors, including the built-in monitor, is completely black.


Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.99.917-15.20150729.fc22.x86_64
kernel-4.1.6-201.fc22.x86_64

How reproducible:
Happens every time since recent package updates, approximately a week ago.

Steps to Reproduce:
1. Suspend laptop
2. Next day try to resume the laptop from the suspended state.

Actual results:
Laptop and all external monitors have black screen
Using ctrl-alt-f2  (etc.) doesn't work.

Expected results:
Laptop should resume normally.

Additional info:
I suspended the machine just after 6pm yesterday, but when I looked in the "journalctl -b -0" output, it appears that the machine appears to have woken up at 3:05:04 am, and then went back to suspend at 3:05:17am.   I have no idea why.
I didn't try to resume the machine until 10:00am the next day, and that's when the screen stayed black.

I am assuming this might be a bug in the xorg intel driver, but my machine at home is running nouveau and is having the same problem, so maybe it's a bug in the kernel.

My current work-around is to do a full shut down.
Comment 1 Corey Ashford 2015-09-23 13:50:06 EDT
After writing this bugzilla, I discovered this suspend resume problem doesn't happen on my W540 (at least) if the suspend time is short.  So I am starting to suspect that mysterious wakeup at 3:05am might have something to do with it.
Comment 2 Fedora End Of Life 2016-07-19 13:59:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.